import PropTypes from "prop-types";
import Table from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/metadata/Table";
declare function TableLabel({ className, table, }: {
    className?: string;
    table: Table;
}): import("react/jsx-runtime").JSX.Element;
declare namespace TableLabel {
    var propTypes: {
        className: PropTypes.Requireable<string>;
        table: PropTypes.Validator<Table>;
    };
}
export default TableLabel;
